From ba9298741fe993e663c88e642a9636dd9fa17a88 Mon Sep 17 00:00:00 2001
From: Yann CARDAILLAC <yann.cardaillac@smile.fr>
Date: Tue, 22 Oct 2019 16:49:42 +0200
Subject: [PATCH] add SPDX License identifier

Signed-off-by: Yann CARDAILLAC <yann.cardaillac@smile.fr>
---
 intercept/depmod                                 | 1 +
 intercept/ldconfig                               | 1 +
 intercept/update-modules                         | 1 +
 libopkg/cksum_list.c                             | 2 ++
 libopkg/cksum_list.h                             | 2 ++
 libopkg/conffile.c                               | 2 ++
 libopkg/conffile.h                               | 2 ++
 libopkg/conffile_list.c                          | 2 ++
 libopkg/conffile_list.h                          | 2 ++
 libopkg/file_list.c                              | 2 ++
 libopkg/file_list.h                              | 2 ++
 libopkg/file_util.c                              | 2 ++
 libopkg/file_util.h                              | 2 ++
 libopkg/hash_table.c                             | 2 ++
 libopkg/hash_table.h                             | 2 ++
 libopkg/list.h                                   | 2 ++
 libopkg/md5.c                                    | 3 +++
 libopkg/md5.h                                    | 3 +++
 libopkg/nv_pair.c                                | 2 ++
 libopkg/nv_pair.h                                | 2 ++
 libopkg/nv_pair_list.c                           | 2 ++
 libopkg/nv_pair_list.h                           | 2 ++
 libopkg/opkg.c                                   | 2 ++
 libopkg/opkg.h                                   | 2 ++
 libopkg/opkg_archive.c                           | 2 ++
 libopkg/opkg_archive.h                           | 2 ++
 libopkg/opkg_cmd.c                               | 2 ++
 libopkg/opkg_cmd.h                               | 2 ++
 libopkg/opkg_conf.c                              | 2 ++
 libopkg/opkg_conf.h                              | 2 ++
 libopkg/opkg_configure.c                         | 2 ++
 libopkg/opkg_configure.h                         | 2 ++
 libopkg/opkg_download.c                          | 2 ++
 libopkg/opkg_download.h                          | 2 ++
 libopkg/opkg_download_curl.c                     | 2 ++
 libopkg/opkg_download_wget.c                     | 2 ++
 libopkg/opkg_gpg.c                               | 2 ++
 libopkg/opkg_gpg.h                               | 2 ++
 libopkg/opkg_install.c                           | 2 ++
 libopkg/opkg_install.h                           | 2 ++
 libopkg/opkg_message.c                           | 2 ++
 libopkg/opkg_message.h                           | 2 ++
 libopkg/opkg_openssl.c                           | 2 ++
 libopkg/opkg_openssl.h                           | 2 ++
 libopkg/opkg_remove.c                            | 2 ++
 libopkg/opkg_remove.h                            | 2 ++
 libopkg/opkg_solver.h                            | 2 ++
 libopkg/opkg_utils.c                             | 2 ++
 libopkg/opkg_utils.h                             | 2 ++
 libopkg/opkg_verify.c                            | 2 ++
 libopkg/opkg_verify.h                            | 2 ++
 libopkg/parse_util.c                             | 2 ++
 libopkg/parse_util.h                             | 2 ++
 libopkg/pkg.c                                    | 2 ++
 libopkg/pkg.h                                    | 2 ++
 libopkg/pkg_depends.c                            | 2 ++
 libopkg/pkg_depends.h                            | 2 ++
 libopkg/pkg_dest.c                               | 2 ++
 libopkg/pkg_dest.h                               | 2 ++
 libopkg/pkg_dest_list.c                          | 2 ++
 libopkg/pkg_dest_list.h                          | 2 ++
 libopkg/pkg_extract.c                            | 2 ++
 libopkg/pkg_extract.h                            | 2 ++
 libopkg/pkg_hash.c                               | 2 ++
 libopkg/pkg_hash.h                               | 2 ++
 libopkg/pkg_parse.c                              | 2 ++
 libopkg/pkg_parse.h                              | 2 ++
 libopkg/pkg_src.c                                | 2 ++
 libopkg/pkg_src.h                                | 2 ++
 libopkg/pkg_src_list.c                           | 2 ++
 libopkg/pkg_src_list.h                           | 2 ++
 libopkg/pkg_vec.c                                | 2 ++
 libopkg/pkg_vec.h                                | 2 ++
 libopkg/release.c                                | 2 ++
 libopkg/release.h                                | 2 ++
 libopkg/release_parse.c                          | 2 ++
 libopkg/release_parse.h                          | 2 ++
 libopkg/sha256.c                                 | 2 ++
 libopkg/sha256.h                                 | 2 ++
 libopkg/solvers/internal/opkg_action.c           | 2 ++
 libopkg/solvers/internal/opkg_install_internal.c | 2 ++
 libopkg/solvers/internal/opkg_install_internal.h | 2 ++
 libopkg/solvers/internal/opkg_solver_internal.c  | 2 ++
 libopkg/solvers/internal/opkg_solver_internal.h  | 2 ++
 libopkg/solvers/internal/opkg_upgrade_internal.c | 2 ++
 libopkg/solvers/internal/opkg_upgrade_internal.h | 2 ++
 libopkg/solvers/internal/pkg_depends_internal.c  | 2 ++
 libopkg/solvers/internal/pkg_depends_internal.h  | 2 ++
 libopkg/solvers/libsolv/opkg_solver_libsolv.c    | 2 ++
 libopkg/sprintf_alloc.c                          | 2 ++
 libopkg/sprintf_alloc.h                          | 2 ++
 libopkg/str_list.c                               | 2 ++
 libopkg/str_list.h                               | 2 ++
 libopkg/string_util.c                            | 2 ++
 libopkg/string_util.h                            | 2 ++
 libopkg/void_list.c                              | 2 ++
 libopkg/void_list.h                              | 2 ++
 libopkg/xfuncs.c                                 | 1 +
 libopkg/xfuncs.h                                 | 2 ++
 libopkg/xregex.c                                 | 2 ++
 libopkg/xregex.h                                 | 2 ++
 libopkg/xsystem.c                                | 2 ++
 libopkg/xsystem.h                                | 2 ++
 scripts/checkpatch.pl                            | 1 +
 scripts/test-branch.py                           | 2 ++
 src/opkg.c                                       | 2 ++
 tests/cfg.py                                     | 1 +
 tests/core/01_install.py                         | 1 +
 tests/core/02_file.py                            | 1 +
 tests/core/03_upgrade.py                         | 1 +
 tests/core/04_upgrade_file.py                    | 1 +
 tests/core/05_downgrade.py                       | 1 +
 tests/core/06_dependency.py                      | 1 +
 tests/core/07_hold_upgrade.py                    | 1 +
 tests/core/08_hold_by_hand.py                    | 1 +
 tests/core/09_hold_depends.py                    | 1 +
 tests/core/10_virtual_conflicts_first.py         | 1 +
 tests/core/11_virtual_conflicts_second.py        | 1 +
 tests/core/12_virtual_no_conflicts.py            | 1 +
 tests/core/13_virtual_upgrade.py                 | 1 +
 tests/core/14_upgrade_by_uri.py                  | 1 +
 tests/core/15_reinstall_by_uri.py                | 1 +
 tests/core/16_upgrade_dependency.py              | 1 +
 tests/core/17_upgrade_conflicts.py               | 1 +
 tests/core/18_upgrade_recommends.py              | 1 +
 tests/core/19_no_recommends.py                   | 1 +
 tests/core/20_exclude.py                         | 1 +
 tests/core/21_autoremove.py                      | 1 +
 tests/core/22_autoremove_dependency.py           | 1 +
 tests/core/24_nodeps.py                          | 1 +
 tests/core/25_essential.py                       | 1 +
 tests/core/25a_essential.py                      | 1 +
 tests/core/26_prefer_arch_to_version.py          | 1 +
 tests/core/27_reldeps_lt.py                      | 1 +
 tests/core/28_reldeps_lteq.py                    | 1 +
 tests/core/29_reldeps_eq.py                      | 1 +
 tests/core/30_reldeps_gteq.py                    | 1 +
 tests/core/31_reldeps_gt.py                      | 1 +
 tests/core/32_intercept_disable.py               | 1 +
 tests/core/33_install_exact_version.py           | 1 +
 tests/core/34_list_upgradable.py                 | 1 +
 tests/core/35_download_only.py                   | 1 +
 tests/core/36_install_virtual.py                 | 1 +
 tests/core/37_globs.py                           | 1 +
 tests/core/38_install_constrained_version.py     | 1 +
 tests/core/39_distupgrade.py                     | 1 +
 tests/core/40_arch.py                            | 1 +
 tests/core/42_info_description.py                | 1 +
 tests/core/43_add_ignore_recommends.py           | 1 +
 tests/misc/filehash.py                           | 1 +
 tests/misc/update_loses_autoinstalled_flag.py    | 1 +
 tests/misc/version_comparisons.py                | 1 +
 tests/opk.py                                     | 1 +
 tests/opkgcl.py                                  | 1 +
 tests/regress/issue103.py                        | 1 +
 tests/regress/issue10358.py                      | 1 +
 tests/regress/issue10358b.py                     | 1 +
 tests/regress/issue10777.py                      | 1 +
 tests/regress/issue10781.py                      | 1 +
 tests/regress/issue11033.py                      | 1 +
 tests/regress/issue11033b.py                     | 1 +
 tests/regress/issue11826.py                      | 1 +
 tests/regress/issue121.py                        | 1 +
 tests/regress/issue124.py                        | 1 +
 tests/regress/issue124a.py                       | 1 +
 tests/regress/issue127.py                        | 1 +
 tests/regress/issue152.py                        | 1 +
 tests/regress/issue154.py                        | 1 +
 tests/regress/issue156.py                        | 1 +
 tests/regress/issue162.py                        | 1 +
 tests/regress/issue163.py                        | 1 +
 tests/regress/issue165.py                        | 1 +
 tests/regress/issue165a.py                       | 1 +
 tests/regress/issue165b.py                       | 1 +
 tests/regress/issue167.py                        | 1 +
 tests/regress/issue26.py                         | 1 +
 tests/regress/issue31.py                         | 1 +
 tests/regress/issue32.py                         | 1 +
 tests/regress/issue45.py                         | 1 +
 tests/regress/issue46.py                         | 1 +
 tests/regress/issue50.py                         | 1 +
 tests/regress/issue51.py                         | 1 +
 tests/regress/issue55.py                         | 1 +
 tests/regress/issue58.py                         | 1 +
 tests/regress/issue72.py                         | 1 +
 tests/regress/issue79.py                         | 1 +
 tests/regress/issue8351.py                       | 1 +
 tests/regress/issue85.py                         | 1 +
 tests/regress/issue8601.py                       | 1 +
 tests/regress/issue89.py                         | 1 +
 tests/regress/issue8912.py                       | 1 +
 tests/regress/issue8913.py                       | 1 +
 tests/regress/issue9059.py                       | 1 +
 tests/regress/issue91.py                         | 1 +
 tests/regress/issue9218.py                       | 1 +
 tests/regress/issue9533.py                       | 1 +
 tests/regress/issue9802.py                       | 1 +
 tests/regress/issue9802b.py                      | 1 +
 tests/regress/issue9939.py                       | 1 +
 tests/regress/issue9987.py                       | 1 +
 utils/opkg-check-config                          | 2 ++
 utils/opkg-key                                   | 1 +
 202 files changed, 306 insertions(+)

diff --git a/intercept/depmod b/intercept/depmod
index f8a4f9a..cd69ff1 100644
--- a/intercept/depmod
+++ b/intercept/depmod
@@ -1,4 +1,5 @@
 #!/bin/sh
+# SPDX-License-Identifier: GPL-2.0-only
 
 if [ "x$1" = "x-a" ] || [ "x$1" = "x-A" ]; then
   echo "depmod $@" >> $OPKG_INTERCEPT_DIR/depmod
diff --git a/intercept/ldconfig b/intercept/ldconfig
index e07c81d..3c83c7b 100644
--- a/intercept/ldconfig
+++ b/intercept/ldconfig
@@ -1,4 +1,5 @@
 #!/bin/sh
+# SPDX-License-Identifier: GPL-2.0-only
 
 if [ ! -f $OPKG_INTERCEPT_DIR/ldconfig ]; then
   echo "ldconfig" > $OPKG_INTERCEPT_DIR/ldconfig
diff --git a/intercept/update-modules b/intercept/update-modules
index ac5749c..bb599f8 100644
--- a/intercept/update-modules
+++ b/intercept/update-modules
@@ -1,4 +1,5 @@
 #!/bin/sh
+# SPDX-License-Identifier: GPL-2.0-only
 
 if [ ! -f $OPKG_INTERCEPT_DIR/update-modules ]; then
   echo "update-modules" > $OPKG_INTERCEPT_DIR/update-modules
diff --git a/libopkg/cksum_list.c b/libopkg/cksum_list.c
index e28951f..646a9c9 100644
--- a/libopkg/cksum_list.c
+++ b/libopkg/cksum_list.c
@@ -3,6 +3,8 @@
 
    Copyright (C) 2010,2011 Javier Palacios
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/cksum_list.h b/libopkg/cksum_list.h
index e59426a..3d49bba 100644
--- a/libopkg/cksum_list.h
+++ b/libopkg/cksum_list.h
@@ -3,6 +3,8 @@
 
    Copyright (C) 2010,2011 Javier Palacios
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/conffile.c b/libopkg/conffile.c
index 7b4b87b..6247266 100644
--- a/libopkg/conffile.c
+++ b/libopkg/conffile.c
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/conffile.h b/libopkg/conffile.h
index fc49614..87a45a5 100644
--- a/libopkg/conffile.h
+++ b/libopkg/conffile.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/conffile_list.c b/libopkg/conffile_list.c
index dbcc3bc..2c0b0fc 100644
--- a/libopkg/conffile_list.c
+++ b/libopkg/conffile_list.c
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/conffile_list.h b/libopkg/conffile_list.h
index 8a40508..e390d45 100644
--- a/libopkg/conffile_list.h
+++ b/libopkg/conffile_list.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/file_list.c b/libopkg/file_list.c
index cb20476..03c3c12 100644
--- a/libopkg/file_list.c
+++ b/libopkg/file_list.c
@@ -3,6 +3,8 @@
 
    Copyright (C) 2017 Michael Hansen
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/file_list.h b/libopkg/file_list.h
index f4ece18..d13e805 100644
--- a/libopkg/file_list.h
+++ b/libopkg/file_list.h
@@ -3,6 +3,8 @@
 
    Copyright (C) 2017 Michael Hansen
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/file_util.c b/libopkg/file_util.c
index a14027b..fbed7b4 100644
--- a/libopkg/file_util.c
+++ b/libopkg/file_util.c
@@ -6,6 +6,8 @@
    Carl D. Worth
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/file_util.h b/libopkg/file_util.h
index 41dcb3b..2487649 100644
--- a/libopkg/file_util.h
+++ b/libopkg/file_util.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/hash_table.c b/libopkg/hash_table.c
index e82e2c1..81f023b 100644
--- a/libopkg/hash_table.c
+++ b/libopkg/hash_table.c
@@ -5,6 +5,8 @@
 
    Copyright (C) 2002 Compaq Computer Corporation
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/hash_table.h b/libopkg/hash_table.h
index 8b91a88..e4e90e8 100644
--- a/libopkg/hash_table.h
+++ b/libopkg/hash_table.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2002 Compaq Computer Corporation
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/list.h b/libopkg/list.h
index f527a08..5aae7db 100644
--- a/libopkg/list.h
+++ b/libopkg/list.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2008 Openmoko Inc.
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/md5.c b/libopkg/md5.c
index bc2b229..981b9b8 100644
--- a/libopkg/md5.c
+++ b/libopkg/md5.c
@@ -3,6 +3,9 @@
    according to the definition of MD5 in RFC 1321 from April 1992.
    Copyright (C) 1995,1996,1997,1999,2000,2001,2005,2006,2008
 	Free Software Foundation, Inc.
+
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This file is part of the GNU C Library.
 
    This program is free software; you can redistribute it and/or modify it
diff --git a/libopkg/md5.h b/libopkg/md5.h
index 2a7274d..8d48d81 100644
--- a/libopkg/md5.h
+++ b/libopkg/md5.h
@@ -3,6 +3,9 @@
    library functions.
    Copyright (C) 1995-1997,1999,2000,2001,2004,2005,2006,2008
       Free Software Foundation, Inc.
+
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This file is part of the GNU C Library.
 
    This program is free software; you can redistribute it and/or modify it
diff --git a/libopkg/nv_pair.c b/libopkg/nv_pair.c
index ce6bc7b..2ff6429 100644
--- a/libopkg/nv_pair.c
+++ b/libopkg/nv_pair.c
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/nv_pair.h b/libopkg/nv_pair.h
index e9309b6..97d969b 100644
--- a/libopkg/nv_pair.h
+++ b/libopkg/nv_pair.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/nv_pair_list.c b/libopkg/nv_pair_list.c
index b20b580..694f179 100644
--- a/libopkg/nv_pair_list.c
+++ b/libopkg/nv_pair_list.c
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/nv_pair_list.h b/libopkg/nv_pair_list.h
index 4663947..fd52ef0 100644
--- a/libopkg/nv_pair_list.h
+++ b/libopkg/nv_pair_list.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg.c b/libopkg/opkg.c
index 3669b7e..05de83d 100644
--- a/libopkg/opkg.c
+++ b/libopkg/opkg.c
@@ -5,6 +5,8 @@
 
    Copyright (C) 2008 OpenMoko Inc
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg.h b/libopkg/opkg.h
index 82b6068..4532f40 100644
--- a/libopkg/opkg.h
+++ b/libopkg/opkg.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2008 OpenMoko Inc
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_archive.c b/libopkg/opkg_archive.c
index 1e8c9d1..3d87db1 100644
--- a/libopkg/opkg_archive.c
+++ b/libopkg/opkg_archive.c
@@ -3,6 +3,8 @@
 
    Copyright (C) 2014 Paul Barker
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_archive.h b/libopkg/opkg_archive.h
index 0702c1f..c2b6ea3 100644
--- a/libopkg/opkg_archive.h
+++ b/libopkg/opkg_archive.h
@@ -3,6 +3,8 @@
 
    Copyright (C) 2014 Paul Barker
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_cmd.c b/libopkg/opkg_cmd.c
index fd27062..ef56388 100644
--- a/libopkg/opkg_cmd.c
+++ b/libopkg/opkg_cmd.c
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_cmd.h b/libopkg/opkg_cmd.h
index 3c1c236..694726f 100644
--- a/libopkg/opkg_cmd.h
+++ b/libopkg/opkg_cmd.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_conf.c b/libopkg/opkg_conf.c
index f2330cd..e9c59e7 100644
--- a/libopkg/opkg_conf.c
+++ b/libopkg/opkg_conf.c
@@ -6,6 +6,8 @@
    Carl D. Worth
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_conf.h b/libopkg/opkg_conf.h
index 316c500..c200af7 100644
--- a/libopkg/opkg_conf.h
+++ b/libopkg/opkg_conf.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_configure.c b/libopkg/opkg_configure.c
index b44ba6e..5c83c88 100644
--- a/libopkg/opkg_configure.c
+++ b/libopkg/opkg_configure.c
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_configure.h b/libopkg/opkg_configure.h
index 2eac02c..9a0c2c9 100644
--- a/libopkg/opkg_configure.h
+++ b/libopkg/opkg_configure.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_download.c b/libopkg/opkg_download.c
index 2bd5683..5c74f66 100644
--- a/libopkg/opkg_download.c
+++ b/libopkg/opkg_download.c
@@ -6,6 +6,8 @@
    Copyright (C) 2001 University of Southern California
    Copyright (C) 2008 OpenMoko Inc
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_download.h b/libopkg/opkg_download.h
index 27e24f2..e88af85 100644
--- a/libopkg/opkg_download.h
+++ b/libopkg/opkg_download.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_download_curl.c b/libopkg/opkg_download_curl.c
index 467ebc0..d572070 100644
--- a/libopkg/opkg_download_curl.c
+++ b/libopkg/opkg_download_curl.c
@@ -5,6 +5,8 @@
    Copyright (C) 2008 OpenMoko Inc
    Copyright (C) 2014 Paul Barker
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_download_wget.c b/libopkg/opkg_download_wget.c
index 9001493..3dec766 100644
--- a/libopkg/opkg_download_wget.c
+++ b/libopkg/opkg_download_wget.c
@@ -5,6 +5,8 @@
    Copyright (C) 2008 OpenMoko Inc
    Copyright (C) 2014 Paul Barker
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_gpg.c b/libopkg/opkg_gpg.c
index f63c455..d236c84 100644
--- a/libopkg/opkg_gpg.c
+++ b/libopkg/opkg_gpg.c
@@ -5,6 +5,8 @@
     Copyright (C) 2008 OpenMoko Inc
     Copyright (C) 2014 Paul Barker
 
+    SPDX-License-Identifier: GPL-2.0-or-later
+
     This program is free software; you can redistribute it and/or
     modify it under the terms of the GNU General Public License as
     published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_gpg.h b/libopkg/opkg_gpg.h
index 51abdbd..3e9dee9 100644
--- a/libopkg/opkg_gpg.h
+++ b/libopkg/opkg_gpg.h
@@ -3,6 +3,8 @@
 
     Copyright (C) 2014 Paul Barker
 
+    SPDX-License-Identifier: GPL-2.0-or-later
+
     This program is free software; you can redistribute it and/or
     modify it under the terms of the GNU General Public License as
     published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_install.c b/libopkg/opkg_install.c
index 585e7d8..320e52f 100644
--- a/libopkg/opkg_install.c
+++ b/libopkg/opkg_install.c
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_install.h b/libopkg/opkg_install.h
index 8b17105..98378bb 100644
--- a/libopkg/opkg_install.h
+++ b/libopkg/opkg_install.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_message.c b/libopkg/opkg_message.c
index fddefb5..2b7b641 100644
--- a/libopkg/opkg_message.c
+++ b/libopkg/opkg_message.c
@@ -4,6 +4,8 @@
    Copyright (C) 2009 Ubiq Technologies <graham.gower@gmail.com>
    Copyright (C) 2003 Daniele Nicolodi <daniele@grinta.net>
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_message.h b/libopkg/opkg_message.h
index dc52072..6e2c032 100644
--- a/libopkg/opkg_message.h
+++ b/libopkg/opkg_message.h
@@ -4,6 +4,8 @@
    Copyright (C) 2009 Ubiq Technologies <graham.gower@gmail.com>
    Copyright (C) 2003 Daniele Nicolodi <daniele@grinta.net>
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_openssl.c b/libopkg/opkg_openssl.c
index 03610d1..f0ce01f 100644
--- a/libopkg/opkg_openssl.c
+++ b/libopkg/opkg_openssl.c
@@ -6,6 +6,8 @@
     Copyright (C) 2009 Camille Moncelier <moncelier@devlife.org>
     Copyright (C) 2014 Paul Barker
 
+    SPDX-License-Identifier: GPL-2.0-or-later
+
     This program is free software; you can redistribute it and/or
     modify it under the terms of the GNU General Public License as
     published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_openssl.h b/libopkg/opkg_openssl.h
index d50db76..47ebcdc 100644
--- a/libopkg/opkg_openssl.h
+++ b/libopkg/opkg_openssl.h
@@ -4,6 +4,8 @@
     Copyright (C) 2001 University of Southern California
     Copyright (C) 2014 Paul Barker
 
+    SPDX-License-Identifier: GPL-2.0-or-later
+
     This program is free software; you can redistribute it and/or
     modify it under the terms of the GNU General Public License as
     published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_remove.c b/libopkg/opkg_remove.c
index 3936628..5eeaa94 100644
--- a/libopkg/opkg_remove.c
+++ b/libopkg/opkg_remove.c
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_remove.h b/libopkg/opkg_remove.h
index 40827fd..b731852 100644
--- a/libopkg/opkg_remove.h
+++ b/libopkg/opkg_remove.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_solver.h b/libopkg/opkg_solver.h
index ed4bc01..1386e1b 100644
--- a/libopkg/opkg_solver.h
+++ b/libopkg/opkg_solver.h
@@ -4,6 +4,8 @@
 
    Copyright (C) 2015 National Instruments Corp.
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_utils.c b/libopkg/opkg_utils.c
index d363f52..d9d3b12 100644
--- a/libopkg/opkg_utils.c
+++ b/libopkg/opkg_utils.c
@@ -5,6 +5,8 @@
 
    Copyright (C) 2002 Compaq Computer Corporation
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_utils.h b/libopkg/opkg_utils.h
index 8de3490..d9d64ee 100644
--- a/libopkg/opkg_utils.h
+++ b/libopkg/opkg_utils.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2002 Compaq Computer Corporation
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_verify.c b/libopkg/opkg_verify.c
index 368b4da..2c36841 100644
--- a/libopkg/opkg_verify.c
+++ b/libopkg/opkg_verify.c
@@ -3,6 +3,8 @@
 
    Copyright (C) 2014 Paul Barker
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/opkg_verify.h b/libopkg/opkg_verify.h
index 4934e19..9677a0c 100644
--- a/libopkg/opkg_verify.h
+++ b/libopkg/opkg_verify.h
@@ -3,6 +3,8 @@
 
    Copyright (C) 2014 Paul Barker
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/parse_util.c b/libopkg/parse_util.c
index 7f438d7..a6f664a 100644
--- a/libopkg/parse_util.c
+++ b/libopkg/parse_util.c
@@ -6,6 +6,8 @@
    Steven M. Ayer
    Copyright (C) 2002 Compaq Computer Corporation
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/parse_util.h b/libopkg/parse_util.h
index 307d7a5..57664f8 100644
--- a/libopkg/parse_util.h
+++ b/libopkg/parse_util.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2002 Compaq Computer Corporation
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/pkg.c b/libopkg/pkg.c
index 844f079..20be229 100644
--- a/libopkg/pkg.c
+++ b/libopkg/pkg.c
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/pkg.h b/libopkg/pkg.h
index d269528..a62c065 100644
--- a/libopkg/pkg.h
+++ b/libopkg/pkg.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/pkg_depends.c b/libopkg/pkg_depends.c
index 88b17f3..eec8961 100644
--- a/libopkg/pkg_depends.c
+++ b/libopkg/pkg_depends.c
@@ -5,6 +5,8 @@
 
    Copyright (C) 2002 Compaq Computer Corporation
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/pkg_depends.h b/libopkg/pkg_depends.h
index a31b226..17e6686 100644
--- a/libopkg/pkg_depends.h
+++ b/libopkg/pkg_depends.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2002 Compaq Computer Corporation
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/pkg_dest.c b/libopkg/pkg_dest.c
index a1d96e1..71319b9 100644
--- a/libopkg/pkg_dest.c
+++ b/libopkg/pkg_dest.c
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/pkg_dest.h b/libopkg/pkg_dest.h
index fd82ee7..f797f91 100644
--- a/libopkg/pkg_dest.h
+++ b/libopkg/pkg_dest.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/pkg_dest_list.c b/libopkg/pkg_dest_list.c
index 68db187..365d069 100644
--- a/libopkg/pkg_dest_list.c
+++ b/libopkg/pkg_dest_list.c
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/pkg_dest_list.h b/libopkg/pkg_dest_list.h
index 4b76bc1..4e9d92a 100644
--- a/libopkg/pkg_dest_list.h
+++ b/libopkg/pkg_dest_list.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/pkg_extract.c b/libopkg/pkg_extract.c
index 001851c..6189a66 100644
--- a/libopkg/pkg_extract.c
+++ b/libopkg/pkg_extract.c
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/pkg_extract.h b/libopkg/pkg_extract.h
index 2f5cca6..46e0dd4 100644
--- a/libopkg/pkg_extract.h
+++ b/libopkg/pkg_extract.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/pkg_hash.c b/libopkg/pkg_hash.c
index 96d9b19..6c6c269 100644
--- a/libopkg/pkg_hash.c
+++ b/libopkg/pkg_hash.c
@@ -5,6 +5,8 @@
 
    Copyright (C) 2002 Compaq Computer Corporation
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/pkg_hash.h b/libopkg/pkg_hash.h
index ddfcc58..2ab9356 100644
--- a/libopkg/pkg_hash.h
+++ b/libopkg/pkg_hash.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2002 Compaq Computer Corporation
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/pkg_parse.c b/libopkg/pkg_parse.c
index d971388..67e7ecd 100644
--- a/libopkg/pkg_parse.c
+++ b/libopkg/pkg_parse.c
@@ -6,6 +6,8 @@
    Steven M. Ayer
    Copyright (C) 2002 Compaq Computer Corporation
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/pkg_parse.h b/libopkg/pkg_parse.h
index bcd7c09..f35bccf 100644
--- a/libopkg/pkg_parse.h
+++ b/libopkg/pkg_parse.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2002 Compaq Computer Corporation
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/pkg_src.c b/libopkg/pkg_src.c
index 3958611..edd19ad 100644
--- a/libopkg/pkg_src.c
+++ b/libopkg/pkg_src.c
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/pkg_src.h b/libopkg/pkg_src.h
index 608f782..fa43a0a 100644
--- a/libopkg/pkg_src.h
+++ b/libopkg/pkg_src.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/pkg_src_list.c b/libopkg/pkg_src_list.c
index d02b330..f2962a4 100644
--- a/libopkg/pkg_src_list.c
+++ b/libopkg/pkg_src_list.c
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/pkg_src_list.h b/libopkg/pkg_src_list.h
index 351ae5e..c0c9f4b 100644
--- a/libopkg/pkg_src_list.h
+++ b/libopkg/pkg_src_list.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/pkg_vec.c b/libopkg/pkg_vec.c
index b45c839..801a460 100644
--- a/libopkg/pkg_vec.c
+++ b/libopkg/pkg_vec.c
@@ -5,6 +5,8 @@
 
    Copyright (C) 2002 Compaq Computer Corporation
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/pkg_vec.h b/libopkg/pkg_vec.h
index adf7c44..5f1c337 100644
--- a/libopkg/pkg_vec.h
+++ b/libopkg/pkg_vec.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2002 Compaq Computer Corporation
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/release.c b/libopkg/release.c
index e5c800c..1bdc909 100644
--- a/libopkg/release.c
+++ b/libopkg/release.c
@@ -3,6 +3,8 @@
 
    Copyright (C) 2010,2011 Javier Palacios
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/release.h b/libopkg/release.h
index 6a28284..3dc62da 100644
--- a/libopkg/release.h
+++ b/libopkg/release.h
@@ -3,6 +3,8 @@
 
    Copyright (C) 2010,2011 Javier Palacios
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/release_parse.c b/libopkg/release_parse.c
index ea335c9..45f9521 100644
--- a/libopkg/release_parse.c
+++ b/libopkg/release_parse.c
@@ -3,6 +3,8 @@
 
    Copyright (C) 2010,2011 Javier Palacios
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/release_parse.h b/libopkg/release_parse.h
index 086c024..8eb5804 100644
--- a/libopkg/release_parse.h
+++ b/libopkg/release_parse.h
@@ -3,6 +3,8 @@
 
    Copyright (C) 2010,2011 Javier Palacios
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/sha256.c b/libopkg/sha256.c
index bceed72..d33fe65 100644
--- a/libopkg/sha256.c
+++ b/libopkg/sha256.c
@@ -4,6 +4,8 @@
 
    Copyright (C) 2005, 2006 Free Software Foundation, Inc.
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the
    Free Software Foundation; either version 2, or (at your option) any
diff --git a/libopkg/sha256.h b/libopkg/sha256.h
index 0d1e9e5..3aafc03 100644
--- a/libopkg/sha256.h
+++ b/libopkg/sha256.h
@@ -3,6 +3,8 @@
    library functions.
    Copyright (C) 2005, 2006 Free Software Foundation, Inc.
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the
    Free Software Foundation; either version 2, or (at your option) any
diff --git a/libopkg/solvers/internal/opkg_action.c b/libopkg/solvers/internal/opkg_action.c
index 2043a56..889d7c3 100644
--- a/libopkg/solvers/internal/opkg_action.c
+++ b/libopkg/solvers/internal/opkg_action.c
@@ -3,6 +3,8 @@
 
    Copyright (C) 2015 National Instruments Corp.
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/solvers/internal/opkg_install_internal.c b/libopkg/solvers/internal/opkg_install_internal.c
index 13b43a9..59cbe09 100644
--- a/libopkg/solvers/internal/opkg_install_internal.c
+++ b/libopkg/solvers/internal/opkg_install_internal.c
@@ -3,6 +3,8 @@
 
      Copyright (C) 2015 National Instruments Corp.
 
+     SPDX-License-Identifier: GPL-2.0-or-later
+
      This program is free software; you can redistribute it and/or
      modify it under the terms of the GNU General Public License as
      published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/solvers/internal/opkg_install_internal.h b/libopkg/solvers/internal/opkg_install_internal.h
index 2840583..ed5191b 100644
--- a/libopkg/solvers/internal/opkg_install_internal.h
+++ b/libopkg/solvers/internal/opkg_install_internal.h
@@ -3,6 +3,8 @@
 
      Copyright (C) 2015 National Instruments Corp.
 
+     SPDX-License-Identifier: GPL-2.0-or-later
+
      This program is free software; you can redistribute it and/or
      modify it under the terms of the GNU General Public License as
      published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/solvers/internal/opkg_solver_internal.c b/libopkg/solvers/internal/opkg_solver_internal.c
index b8555a0..c55fd2c 100644
--- a/libopkg/solvers/internal/opkg_solver_internal.c
+++ b/libopkg/solvers/internal/opkg_solver_internal.c
@@ -3,6 +3,8 @@
 
      Copyright (C) 2015 National Instruments Corp.
 
+     SPDX-License-Identifier: GPL-2.0-or-later
+
      This program is free software; you can redistribute it and/or
      modify it under the terms of the GNU General Public License as
      published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/solvers/internal/opkg_solver_internal.h b/libopkg/solvers/internal/opkg_solver_internal.h
index b3e6631..fb9bcb6 100644
--- a/libopkg/solvers/internal/opkg_solver_internal.h
+++ b/libopkg/solvers/internal/opkg_solver_internal.h
@@ -3,6 +3,8 @@
 
      Copyright (C) 2015 National Instruments Corp.
 
+     SPDX-License-Identifier: GPL-2.0-or-later
+
      This program is free software; you can redistribute it and/or
      modify it under the terms of the GNU General Public License as
      published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/solvers/internal/opkg_upgrade_internal.c b/libopkg/solvers/internal/opkg_upgrade_internal.c
index 0a48f75..1a3edd9 100644
--- a/libopkg/solvers/internal/opkg_upgrade_internal.c
+++ b/libopkg/solvers/internal/opkg_upgrade_internal.c
@@ -6,6 +6,8 @@
 
    Copyright (C) 2003 Daniele Nicolodi <daniele@grinta.net>
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/solvers/internal/opkg_upgrade_internal.h b/libopkg/solvers/internal/opkg_upgrade_internal.h
index 3d2dff9..411f880 100644
--- a/libopkg/solvers/internal/opkg_upgrade_internal.h
+++ b/libopkg/solvers/internal/opkg_upgrade_internal.h
@@ -3,6 +3,8 @@
 
    Copyright (C) 2003 Daniele Nicolodi <daniele@grinta.net>
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/solvers/internal/pkg_depends_internal.c b/libopkg/solvers/internal/pkg_depends_internal.c
index 5deee70..d7b6b72 100644
--- a/libopkg/solvers/internal/pkg_depends_internal.c
+++ b/libopkg/solvers/internal/pkg_depends_internal.c
@@ -3,6 +3,8 @@
 
    Copyright (C) 2016 National Instruments Corporation
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/solvers/internal/pkg_depends_internal.h b/libopkg/solvers/internal/pkg_depends_internal.h
index 4a86491..1ec7bb2 100644
--- a/libopkg/solvers/internal/pkg_depends_internal.h
+++ b/libopkg/solvers/internal/pkg_depends_internal.h
@@ -3,6 +3,8 @@
 
      Copyright (C) 2015 National Instruments Corp.
 
+     SPDX-License-Identifier: GPL-2.0-or-later
+
      This program is free software; you can redistribute it and/or
      modify it under the terms of the GNU General Public License as
      published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/solvers/libsolv/opkg_solver_libsolv.c b/libopkg/solvers/libsolv/opkg_solver_libsolv.c
index 9548578..373abe8 100644
--- a/libopkg/solvers/libsolv/opkg_solver_libsolv.c
+++ b/libopkg/solvers/libsolv/opkg_solver_libsolv.c
@@ -4,6 +4,8 @@
 
    Copyright (C) 2015 National Instruments Corp.
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/sprintf_alloc.c b/libopkg/sprintf_alloc.c
index 9361c6a..1207258 100644
--- a/libopkg/sprintf_alloc.c
+++ b/libopkg/sprintf_alloc.c
@@ -3,6 +3,8 @@
 
    Copyright (C) 2010 Ubiq Technologies <graham.gower@gmail.com>
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2, or (at your option)
diff --git a/libopkg/sprintf_alloc.h b/libopkg/sprintf_alloc.h
index 5123982..35891d5 100644
--- a/libopkg/sprintf_alloc.h
+++ b/libopkg/sprintf_alloc.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2, or (at your option)
diff --git a/libopkg/str_list.c b/libopkg/str_list.c
index a715fc4..eca9a2c 100644
--- a/libopkg/str_list.c
+++ b/libopkg/str_list.c
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/str_list.h b/libopkg/str_list.h
index b92e96e..fb47870 100644
--- a/libopkg/str_list.h
+++ b/libopkg/str_list.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/string_util.c b/libopkg/string_util.c
index 822cab6..f4fd165 100644
--- a/libopkg/string_util.c
+++ b/libopkg/string_util.c
@@ -3,6 +3,8 @@
 
    Copyright (C) 2015 Paul Barker
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/string_util.h b/libopkg/string_util.h
index a920e2a..6e21895 100644
--- a/libopkg/string_util.h
+++ b/libopkg/string_util.h
@@ -3,6 +3,8 @@
 
    Copyright (C) 2015 Paul Barker
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/void_list.c b/libopkg/void_list.c
index 91a66c1..1feb072 100644
--- a/libopkg/void_list.c
+++ b/libopkg/void_list.c
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/void_list.h b/libopkg/void_list.h
index 0ca8eee..9f85025 100644
--- a/libopkg/void_list.h
+++ b/libopkg/void_list.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/xfuncs.c b/libopkg/xfuncs.c
index 4e7916f..9ee1a7d 100644
--- a/libopkg/xfuncs.c
+++ b/libopkg/xfuncs.c
@@ -3,6 +3,7 @@
  * Utility routines.
  *
  * Copyright (C) 1999,2000,2001 by Erik Andersen <andersee@debian.org>
+ * SPDX-License-Identifier: GPL-2.0-or-later
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
diff --git a/libopkg/xfuncs.h b/libopkg/xfuncs.h
index 3275d2d..5d278b4 100644
--- a/libopkg/xfuncs.h
+++ b/libopkg/xfuncs.h
@@ -2,6 +2,8 @@
 /*
  * Utility routines.
  *
+ * SPDX-License-Identifier: GPL-2.0-or-later
+ *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
diff --git a/libopkg/xregex.c b/libopkg/xregex.c
index 5f22067..6c395e5 100644
--- a/libopkg/xregex.c
+++ b/libopkg/xregex.c
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2, or (at your option)
diff --git a/libopkg/xregex.h b/libopkg/xregex.h
index 1a5d871..f6f15cb 100644
--- a/libopkg/xregex.h
+++ b/libopkg/xregex.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2, or (at your option)
diff --git a/libopkg/xsystem.c b/libopkg/xsystem.c
index 8f2ef1c..d7cc31e 100644
--- a/libopkg/xsystem.c
+++ b/libopkg/xsystem.c
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/libopkg/xsystem.h b/libopkg/xsystem.h
index dae7960..9605594 100644
--- a/libopkg/xsystem.h
+++ b/libopkg/xsystem.h
@@ -5,6 +5,8 @@
 
    Copyright (C) 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/scripts/checkpatch.pl b/scripts/checkpatch.pl
index 2717c59..15e2411 100755
--- a/scripts/checkpatch.pl
+++ b/scripts/checkpatch.pl
@@ -11,6 +11,7 @@
 # (c) 2005, Joel Schopp <jschopp@austin.ibm.com> (the ugly bit)
 # (c) 2007,2008, Andy Whitcroft <apw@uk.ibm.com> (new conditions, test suite)
 # (c) 2008-2010 Andy Whitcroft <apw@canonical.com>
+# SPDX-License-Identifier: GPL-2.0-only
 # Licensed under the terms of the GNU GPL License version 2
 
 use strict;
diff --git a/scripts/test-branch.py b/scripts/test-branch.py
index 3602183..c7dae60 100755
--- a/scripts/test-branch.py
+++ b/scripts/test-branch.py
@@ -4,6 +4,8 @@
 #
 #	Copyright (C) 2013 Paul Barker
 #
+#       SPDX-License-Identifier: GPL-2.0-or-later
+#
 #	This program is free software; you can redistribute it and/or modify it
 #	under the terms of the GNU General Public License as published by the
 #	Free Software Foundation; either version 2, or (at your option) any
diff --git a/src/opkg.c b/src/opkg.c
index 32a98e6..b8b1a41 100644
--- a/src/opkg.c
+++ b/src/opkg.c
@@ -7,6 +7,8 @@
    Carl D. Worth
    Copyright 2001 University of Southern California
 
+   SPDX-License-Identifier: GPL-2.0-or-later
+
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2, or (at
diff --git a/tests/cfg.py b/tests/cfg.py
index ca59d03..a9c1cf6 100644
--- a/tests/cfg.py
+++ b/tests/cfg.py
@@ -1,3 +1,4 @@
+# SPDX-License-Identifier: GPL-2.0-only
 import os
 
 opkdir = "/tmp/opk"
diff --git a/tests/core/01_install.py b/tests/core/01_install.py
index af697ef..8c14c36 100755
--- a/tests/core/01_install.py
+++ b/tests/core/01_install.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Install a package and check that it is listed as installed. Then remove the
 # package and check that it is no longer listed as installed.
diff --git a/tests/core/02_file.py b/tests/core/02_file.py
index eafdfb2..769f708 100755
--- a/tests/core/02_file.py
+++ b/tests/core/02_file.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Install a package containing a file and check that the file is created. Remove
 # the package and check that the file is removed.
diff --git a/tests/core/03_upgrade.py b/tests/core/03_upgrade.py
index 02b1eef..51a81b8 100755
--- a/tests/core/03_upgrade.py
+++ b/tests/core/03_upgrade.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Install a package and then make available a new version of the same package.
 # Upgrade and check that the new version is installed and the old version
diff --git a/tests/core/04_upgrade_file.py b/tests/core/04_upgrade_file.py
index af3c622..c5f986b 100755
--- a/tests/core/04_upgrade_file.py
+++ b/tests/core/04_upgrade_file.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Install a package and then make available a new version of the same package.
 # This is similar to test 3 but we put a file "test1" in version 1.0 of the
diff --git a/tests/core/05_downgrade.py b/tests/core/05_downgrade.py
index 08b7745..79d0afe 100755
--- a/tests/core/05_downgrade.py
+++ b/tests/core/05_downgrade.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Make available two versions of the same package and install it. Check that the
 # latest version is chosen out of the two available. Then explicitly install the
diff --git a/tests/core/06_dependency.py b/tests/core/06_dependency.py
index 8a116ba..37b16ac 100755
--- a/tests/core/06_dependency.py
+++ b/tests/core/06_dependency.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Install a package 'a' which depends on a second package 'b'. Check that both
 # are installed, that package 'a' does not report as automatically installed but
diff --git a/tests/core/07_hold_upgrade.py b/tests/core/07_hold_upgrade.py
index b18dff1..df5960b 100755
--- a/tests/core/07_hold_upgrade.py
+++ b/tests/core/07_hold_upgrade.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Install a package and mark it as on hold. Make an updated version available
 # and upgrade. Check that the new version is not installed and the old version
diff --git a/tests/core/08_hold_by_hand.py b/tests/core/08_hold_by_hand.py
index 370633f..d77654e 100755
--- a/tests/core/08_hold_by_hand.py
+++ b/tests/core/08_hold_by_hand.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Within the function `pkg_hash_fetch_best_installation_candidate`, we wish to
 # test the condition where `(held_pkg && good_pkg_by_name) == true`. So install
diff --git a/tests/core/09_hold_depends.py b/tests/core/09_hold_depends.py
index 064ba3c..0d55409 100755
--- a/tests/core/09_hold_depends.py
+++ b/tests/core/09_hold_depends.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Mark an installed package a-1.0 as on hold, make available a-2.0 depended on
 # by z. Check that z refuses to install due to a-1.0 being held.
diff --git a/tests/core/10_virtual_conflicts_first.py b/tests/core/10_virtual_conflicts_first.py
index 32b07b1..ea10e5a 100755
--- a/tests/core/10_virtual_conflicts_first.py
+++ b/tests/core/10_virtual_conflicts_first.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Install a package 'x' which PROVIDES and CONFLICTS 'v', indicating that 'v' is
 # a virtual package and no other provider of this virtual package should be
diff --git a/tests/core/11_virtual_conflicts_second.py b/tests/core/11_virtual_conflicts_second.py
index 1f36b78..2090b2e 100755
--- a/tests/core/11_virtual_conflicts_second.py
+++ b/tests/core/11_virtual_conflicts_second.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Install a package 'x' which PROVIDES 'v'. Then try to install 'y' which
 # PROVIDES and CONFLICTS 'v', indicating that no other provider of the virtual
diff --git a/tests/core/12_virtual_no_conflicts.py b/tests/core/12_virtual_no_conflicts.py
index 8e81173..d2e608b 100755
--- a/tests/core/12_virtual_no_conflicts.py
+++ b/tests/core/12_virtual_no_conflicts.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Install a package 'x' which PROVIDES 'v' and ensure that we can install
 # another package 'y' which also PROVIDES 'v'.
diff --git a/tests/core/13_virtual_upgrade.py b/tests/core/13_virtual_upgrade.py
index 375d471..3fb8113 100755
--- a/tests/core/13_virtual_upgrade.py
+++ b/tests/core/13_virtual_upgrade.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Install version 1.0 of a package 'x' which PROVIDES and CONFLICTS 'v', then
 # try to upgrade it.
diff --git a/tests/core/14_upgrade_by_uri.py b/tests/core/14_upgrade_by_uri.py
index 6df1f4b..9cd1d4a 100755
--- a/tests/core/14_upgrade_by_uri.py
+++ b/tests/core/14_upgrade_by_uri.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Install a package and then make available a new version of the same package.
 # Install this second version of the package by URI to the package file rather
diff --git a/tests/core/15_reinstall_by_uri.py b/tests/core/15_reinstall_by_uri.py
index 0ced994..e0ec845 100755
--- a/tests/core/15_reinstall_by_uri.py
+++ b/tests/core/15_reinstall_by_uri.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 #
 
diff --git a/tests/core/16_upgrade_dependency.py b/tests/core/16_upgrade_dependency.py
index 0c569c4..a9b0174 100755
--- a/tests/core/16_upgrade_dependency.py
+++ b/tests/core/16_upgrade_dependency.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Install a package 'a' at version 1.0. Make available 'a' at version 2.0 with
 # dependency on 'b', and make available 'b'. Do upgrade and ensure that 'b' in
diff --git a/tests/core/17_upgrade_conflicts.py b/tests/core/17_upgrade_conflicts.py
index 7cd348a..a40f143 100755
--- a/tests/core/17_upgrade_conflicts.py
+++ b/tests/core/17_upgrade_conflicts.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Install a package A at version V. Install a package B, which conflicts
 # with a version of A older than V. Make available A at a version newer
diff --git a/tests/core/18_upgrade_recommends.py b/tests/core/18_upgrade_recommends.py
index 4624cd2..bc24ace 100755
--- a/tests/core/18_upgrade_recommends.py
+++ b/tests/core/18_upgrade_recommends.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Install a package B, which recommends package A. Verify that A installs
 # automatically and gets flagged as auto-installed. Make a newer version
diff --git a/tests/core/19_no_recommends.py b/tests/core/19_no_recommends.py
index 28764c2..433239f 100755
--- a/tests/core/19_no_recommends.py
+++ b/tests/core/19_no_recommends.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Create packages 'a', 'b' which recommends 'a' and 'c' which depends on 'a'.
 # Install 'b' with '--no-install-recommends' and ensure 'a' is not installed.
diff --git a/tests/core/20_exclude.py b/tests/core/20_exclude.py
index b03eb24..d114202 100755
--- a/tests/core/20_exclude.py
+++ b/tests/core/20_exclude.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Create packages 'a', 'b' which recommends 'a' and 'c' which depends on 'a'.
 # Install 'b' with '--add-exclude a' and ensure 'b' is installed but 'a' is not.
diff --git a/tests/core/21_autoremove.py b/tests/core/21_autoremove.py
index 4b8d335..d434faa 100755
--- a/tests/core/21_autoremove.py
+++ b/tests/core/21_autoremove.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Create package 'a' which depends on 'b' and 'c'.
 # Explicitly install 'b' then install 'a'.
diff --git a/tests/core/22_autoremove_dependency.py b/tests/core/22_autoremove_dependency.py
index c5d0931..73e9246 100755
--- a/tests/core/22_autoremove_dependency.py
+++ b/tests/core/22_autoremove_dependency.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Create packages 'a' and 'b' which both depend on 'c'.
 # Install 'a' and 'b' and check that 'c' is autoinstalled.
diff --git a/tests/core/24_nodeps.py b/tests/core/24_nodeps.py
index 93b5826..325612f 100755
--- a/tests/core/24_nodeps.py
+++ b/tests/core/24_nodeps.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Create package 'a' which depends on 'b'
 # Install 'a' with --nodeps and check that 'b' is not installed
diff --git a/tests/core/25_essential.py b/tests/core/25_essential.py
index 38eec5f..b0e7ffe 100755
--- a/tests/core/25_essential.py
+++ b/tests/core/25_essential.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Create essential packages 'a(1.0)' and 'a(2.0)'.
 # Install 'a(1.0)'.
diff --git a/tests/core/25a_essential.py b/tests/core/25a_essential.py
index cc53670..c739ff3 100755
--- a/tests/core/25a_essential.py
+++ b/tests/core/25a_essential.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Create essential packages 'a', which Depends on b. Package 'b' depends on 'c'
 # Install 'a'.
diff --git a/tests/core/26_prefer_arch_to_version.py b/tests/core/26_prefer_arch_to_version.py
index 0a0d66b..35b3883 100755
--- a/tests/core/26_prefer_arch_to_version.py
+++ b/tests/core/26_prefer_arch_to_version.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Create package 'x(1.0)' with architecture a and 'x(2.0)' with architecture b.
 # Install 'x' with --add-arch a:2 and --add-arch b:1.
diff --git a/tests/core/27_reldeps_lt.py b/tests/core/27_reldeps_lt.py
index 82baa4b..9ff42ce 100755
--- a/tests/core/27_reldeps_lt.py
+++ b/tests/core/27_reldeps_lt.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Create 'a' which depends on 'b' earlier than 2.0.
 # create 'b' in versions 1.0, 2.0, and 3.0.
diff --git a/tests/core/28_reldeps_lteq.py b/tests/core/28_reldeps_lteq.py
index 3b14da4..4dbd695 100755
--- a/tests/core/28_reldeps_lteq.py
+++ b/tests/core/28_reldeps_lteq.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Create 'a' which depends on 'b' earlier than or equal to 2.0.
 # create 'b' in versions 1.0, 2.0, and 3.0.
diff --git a/tests/core/29_reldeps_eq.py b/tests/core/29_reldeps_eq.py
index 3361bfb..7757e0a 100755
--- a/tests/core/29_reldeps_eq.py
+++ b/tests/core/29_reldeps_eq.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Create 'a' which depends on 'b(2.0)'.
 # create 'b' in versions 1.0, 2.0, and 3.0.
diff --git a/tests/core/30_reldeps_gteq.py b/tests/core/30_reldeps_gteq.py
index acc7e2a..ebeb55f 100755
--- a/tests/core/30_reldeps_gteq.py
+++ b/tests/core/30_reldeps_gteq.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Create 'a' which depends on 'b' later than or equal to 2.0.
 # create 'b' in versions 1.0, 2.0, and 3.0.
diff --git a/tests/core/31_reldeps_gt.py b/tests/core/31_reldeps_gt.py
index 0f7ea4f..d463dd7 100755
--- a/tests/core/31_reldeps_gt.py
+++ b/tests/core/31_reldeps_gt.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Create 'a' which depends on 'b' later than 2.0.
 # create 'b' in versions 1.0, 2.0, and 3.0.
diff --git a/tests/core/32_intercept_disable.py b/tests/core/32_intercept_disable.py
index 9e49fc4..a776374 100755
--- a/tests/core/32_intercept_disable.py
+++ b/tests/core/32_intercept_disable.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Verifies intercept scripts can be disabled by an opkg conf token.
 #
diff --git a/tests/core/33_install_exact_version.py b/tests/core/33_install_exact_version.py
index 62acb5e..01f1ce2 100755
--- a/tests/core/33_install_exact_version.py
+++ b/tests/core/33_install_exact_version.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Test opkg when specifying the version to install via:
 #       opkg install <pkg_name>=<pkg_version>
diff --git a/tests/core/34_list_upgradable.py b/tests/core/34_list_upgradable.py
index d622871..953fbe6 100755
--- a/tests/core/34_list_upgradable.py
+++ b/tests/core/34_list_upgradable.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Test opkg list-upgradable behavior.
 
diff --git a/tests/core/35_download_only.py b/tests/core/35_download_only.py
index dab5347..ae41004 100755
--- a/tests/core/35_download_only.py
+++ b/tests/core/35_download_only.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Test that --download-only flag doesn't change the state
 # of the system during install/remove/upgrade operations
diff --git a/tests/core/36_install_virtual.py b/tests/core/36_install_virtual.py
index 3439ed7..eda753c 100644
--- a/tests/core/36_install_virtual.py
+++ b/tests/core/36_install_virtual.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Test opkg when specifying a virtual package to install:
 #       opkg install <virtual_pkg_name>
diff --git a/tests/core/37_globs.py b/tests/core/37_globs.py
index 576869c..822b9d1 100755
--- a/tests/core/37_globs.py
+++ b/tests/core/37_globs.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: alejandro.delcastillo@ni.com
 #
diff --git a/tests/core/38_install_constrained_version.py b/tests/core/38_install_constrained_version.py
index 8a885eb..a6069a7 100755
--- a/tests/core/38_install_constrained_version.py
+++ b/tests/core/38_install_constrained_version.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Test opkg when specifying a constrained/fuzzy version to install via:
 #       opkg install pkg_name<=pkg_version
diff --git a/tests/core/39_distupgrade.py b/tests/core/39_distupgrade.py
index bee20cb..36417d6 100755
--- a/tests/core/39_distupgrade.py
+++ b/tests/core/39_distupgrade.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Install package 'a' with a Depends on 'b'. Make available a new version of
 # 'a' that Conflicts with 'b'. Dist-upgrade and make sure 'a' is upgraded to
diff --git a/tests/core/40_arch.py b/tests/core/40_arch.py
index b1658dd..994dd7b 100755
--- a/tests/core/40_arch.py
+++ b/tests/core/40_arch.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Create package 'x(1.0)' with architecture a and 'x(1.0)' with architecture b.
 # Install 'x' with --add-arch a:2 and --add-arch b:3.
diff --git a/tests/core/42_info_description.py b/tests/core/42_info_description.py
index 9f41a71..b9176de 100644
--- a/tests/core/42_info_description.py
+++ b/tests/core/42_info_description.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Create package 'a(1.0)' with short description only.
 # Create package 'b(1.0)' with a complete multiline description.
diff --git a/tests/core/43_add_ignore_recommends.py b/tests/core/43_add_ignore_recommends.py
index 7da0096..a02fd03 100755
--- a/tests/core/43_add_ignore_recommends.py
+++ b/tests/core/43_add_ignore_recommends.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Create package 'a' (1.0) which Recommends 'c'.
 # Install 'a' with --add-ignore-recommends 'c'.
diff --git a/tests/misc/filehash.py b/tests/misc/filehash.py
index 6bdfb91..3ea302f 100755
--- a/tests/misc/filehash.py
+++ b/tests/misc/filehash.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 
 import os
 import opk, cfg, opkgcl
diff --git a/tests/misc/update_loses_autoinstalled_flag.py b/tests/misc/update_loses_autoinstalled_flag.py
index 3a1fe7e..e621bc9 100755
--- a/tests/misc/update_loses_autoinstalled_flag.py
+++ b/tests/misc/update_loses_autoinstalled_flag.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 
 import os
 import opk, cfg, opkgcl
diff --git a/tests/misc/version_comparisons.py b/tests/misc/version_comparisons.py
index 50d16a7..31452d3 100644
--- a/tests/misc/version_comparisons.py
+++ b/tests/misc/version_comparisons.py
@@ -1,4 +1,5 @@
 #!/usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 
 import os
 import opk, cfg, opkgcl
diff --git a/tests/opk.py b/tests/opk.py
index c818f1c..2db13eb 100644
--- a/tests/opk.py
+++ b/tests/opk.py
@@ -1,3 +1,4 @@
+# SPDX-License-Identifier: GPL-2.0-only
 import tarfile, os, sys, stat
 import cfg
 import errno
diff --git a/tests/opkgcl.py b/tests/opkgcl.py
index 3df2a32..403189c 100755
--- a/tests/opkgcl.py
+++ b/tests/opkgcl.py
@@ -1,4 +1,5 @@
 #!/usr/bin/python3
+# SPDX-License-Identifier: GPL-2.0-only
 
 import os, subprocess
 import cfg
diff --git a/tests/regress/issue103.py b/tests/regress/issue103.py
index 3b5d4f5..48db894 100755
--- a/tests/regress/issue103.py
+++ b/tests/regress/issue103.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: Paul Barker
 #
diff --git a/tests/regress/issue10358.py b/tests/regress/issue10358.py
index 905e892..4325ed3 100644
--- a/tests/regress/issue10358.py
+++ b/tests/regress/issue10358.py
@@ -1,4 +1,5 @@
 #!/usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 
 import os
 import opk, cfg, opkgcl
diff --git a/tests/regress/issue10358b.py b/tests/regress/issue10358b.py
index 72367b0..70ff044 100644
--- a/tests/regress/issue10358b.py
+++ b/tests/regress/issue10358b.py
@@ -1,4 +1,5 @@
 #!/usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 
 import os
 import opk, cfg, opkgcl
diff --git a/tests/regress/issue10777.py b/tests/regress/issue10777.py
index 4523fab..997fd4f 100755
--- a/tests/regress/issue10777.py
+++ b/tests/regress/issue10777.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: markus.lehtonen@linux.intel.com
 #
diff --git a/tests/regress/issue10781.py b/tests/regress/issue10781.py
index 27a2453..51532a2 100755
--- a/tests/regress/issue10781.py
+++ b/tests/regress/issue10781.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: markus.lehtonen@linux.intel.com
 #
diff --git a/tests/regress/issue11033.py b/tests/regress/issue11033.py
index 2e6c2e0..8ec2f29 100644
--- a/tests/regress/issue11033.py
+++ b/tests/regress/issue11033.py
@@ -1,4 +1,5 @@
 #!/usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 
 import os
 import opk, cfg, opkgcl
diff --git a/tests/regress/issue11033b.py b/tests/regress/issue11033b.py
index f2ae9f7..217b584 100644
--- a/tests/regress/issue11033b.py
+++ b/tests/regress/issue11033b.py
@@ -1,4 +1,5 @@
 #!/usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 
 import os
 import opk, cfg, opkgcl
diff --git a/tests/regress/issue11826.py b/tests/regress/issue11826.py
index 253a953..0330ac9 100755
--- a/tests/regress/issue11826.py
+++ b/tests/regress/issue11826.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: Damine Gotfroi <gotfroi.damien@gmail.com>
 #
diff --git a/tests/regress/issue121.py b/tests/regress/issue121.py
index b8c0ffc..af4a47f 100755
--- a/tests/regress/issue121.py
+++ b/tests/regress/issue121.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reported by KirGeNe, Feb 6, 2014
 # Test case modified by Paul Barker
diff --git a/tests/regress/issue124.py b/tests/regress/issue124.py
index 385690b..4c79b50 100755
--- a/tests/regress/issue124.py
+++ b/tests/regress/issue124.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Issue 124, reported by muusclaus
 #
diff --git a/tests/regress/issue124a.py b/tests/regress/issue124a.py
index 6cb01b9..87ec11c 100755
--- a/tests/regress/issue124a.py
+++ b/tests/regress/issue124a.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Issue 124, reported by muusclaus
 #
diff --git a/tests/regress/issue127.py b/tests/regress/issue127.py
index cd7161a..adc25e1 100755
--- a/tests/regress/issue127.py
+++ b/tests/regress/issue127.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Issue 127 reported by muusclaus
 #
diff --git a/tests/regress/issue152.py b/tests/regress/issue152.py
index e6b3883..025cdef 100755
--- a/tests/regress/issue152.py
+++ b/tests/regress/issue152.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Issue 152
 #
diff --git a/tests/regress/issue154.py b/tests/regress/issue154.py
index 3abef1e..e679089 100755
--- a/tests/regress/issue154.py
+++ b/tests/regress/issue154.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: michal.p...@gmail.com
 #
diff --git a/tests/regress/issue156.py b/tests/regress/issue156.py
index a50012c..217fbea 100755
--- a/tests/regress/issue156.py
+++ b/tests/regress/issue156.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: alexeytech@gmail.com
 #
diff --git a/tests/regress/issue162.py b/tests/regress/issue162.py
index c269f99..e8d0dec 100755
--- a/tests/regress/issue162.py
+++ b/tests/regress/issue162.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: Eric Yu
 #
diff --git a/tests/regress/issue163.py b/tests/regress/issue163.py
index 1207487..906c7c1 100755
--- a/tests/regress/issue163.py
+++ b/tests/regress/issue163.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: Eric Yu
 #
diff --git a/tests/regress/issue165.py b/tests/regress/issue165.py
index 89df321..70857cf 100755
--- a/tests/regress/issue165.py
+++ b/tests/regress/issue165.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: Eric Yu
 #
diff --git a/tests/regress/issue165a.py b/tests/regress/issue165a.py
index 4ad5210..b4ec6bd 100755
--- a/tests/regress/issue165a.py
+++ b/tests/regress/issue165a.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: Eric Yu
 #
diff --git a/tests/regress/issue165b.py b/tests/regress/issue165b.py
index 272be84..8a7f8f7 100755
--- a/tests/regress/issue165b.py
+++ b/tests/regress/issue165b.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: Eric Yu
 #
diff --git a/tests/regress/issue167.py b/tests/regress/issue167.py
index cbd8276..058159a 100755
--- a/tests/regress/issue167.py
+++ b/tests/regress/issue167.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reported by alejandro.delcastillo@ni.com
 #
diff --git a/tests/regress/issue26.py b/tests/regress/issue26.py
index f205877..007fe86 100755
--- a/tests/regress/issue26.py
+++ b/tests/regress/issue26.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: Graham Gower
 #
diff --git a/tests/regress/issue31.py b/tests/regress/issue31.py
index f0da340..f88e515 100755
--- a/tests/regress/issue31.py
+++ b/tests/regress/issue31.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: Graham Gower
 #
diff --git a/tests/regress/issue32.py b/tests/regress/issue32.py
index 0863e7d..f5ed57c 100755
--- a/tests/regress/issue32.py
+++ b/tests/regress/issue32.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: pixdamix@gmail.com
 #
diff --git a/tests/regress/issue45.py b/tests/regress/issue45.py
index 19e6687..206710e 100755
--- a/tests/regress/issue45.py
+++ b/tests/regress/issue45.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: pixdamix
 #
diff --git a/tests/regress/issue46.py b/tests/regress/issue46.py
index a9db3a2..92194c9 100755
--- a/tests/regress/issue46.py
+++ b/tests/regress/issue46.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: Graham Gower
 #
diff --git a/tests/regress/issue50.py b/tests/regress/issue50.py
index 269d41f..6f823fc 100755
--- a/tests/regress/issue50.py
+++ b/tests/regress/issue50.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: Graham Gower
 #
diff --git a/tests/regress/issue51.py b/tests/regress/issue51.py
index 39f9641..4339210 100755
--- a/tests/regress/issue51.py
+++ b/tests/regress/issue51.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: Graham Gower
 #
diff --git a/tests/regress/issue55.py b/tests/regress/issue55.py
index 287d4e8..20fc513 100755
--- a/tests/regress/issue55.py
+++ b/tests/regress/issue55.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Report and fix from "paradox.kahn" in a google code comment to r543.
 #
diff --git a/tests/regress/issue58.py b/tests/regress/issue58.py
index f43c764..348724c 100755
--- a/tests/regress/issue58.py
+++ b/tests/regress/issue58.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: Graham Gower
 #
diff --git a/tests/regress/issue72.py b/tests/regress/issue72.py
index 2f24dec..6f7e9c4 100755
--- a/tests/regress/issue72.py
+++ b/tests/regress/issue72.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: Graham Gower
 #
diff --git a/tests/regress/issue79.py b/tests/regress/issue79.py
index 20346fe..bc78aa6 100755
--- a/tests/regress/issue79.py
+++ b/tests/regress/issue79.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: pixdamix
 #
diff --git a/tests/regress/issue8351.py b/tests/regress/issue8351.py
index 965ac3b..927c2ec 100755
--- a/tests/regress/issue8351.py
+++ b/tests/regress/issue8351.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: muusclaus
 #
diff --git a/tests/regress/issue85.py b/tests/regress/issue85.py
index 36550de..97b314f 100755
--- a/tests/regress/issue85.py
+++ b/tests/regress/issue85.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: Graham Gower
 #
diff --git a/tests/regress/issue8601.py b/tests/regress/issue8601.py
index 51902c9..fa14840 100755
--- a/tests/regress/issue8601.py
+++ b/tests/regress/issue8601.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: jatinvatsalya@gmail.com
 #
diff --git a/tests/regress/issue89.py b/tests/regress/issue89.py
index eda31b0..ea4e89a 100755
--- a/tests/regress/issue89.py
+++ b/tests/regress/issue89.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reported by ccospel, Jan 27, 2012
 #
diff --git a/tests/regress/issue8912.py b/tests/regress/issue8912.py
index 0dd4d1a..3e745dc 100644
--- a/tests/regress/issue8912.py
+++ b/tests/regress/issue8912.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: alejandro.delcastillo@ni.com
 #
diff --git a/tests/regress/issue8913.py b/tests/regress/issue8913.py
index 22bcb14..7f4d3dc 100755
--- a/tests/regress/issue8913.py
+++ b/tests/regress/issue8913.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: alejandro.delcastillo@ni.com
 #
diff --git a/tests/regress/issue9059.py b/tests/regress/issue9059.py
index 5765853..b8ff459 100755
--- a/tests/regress/issue9059.py
+++ b/tests/regress/issue9059.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: scot.salmon@ni.com
 #
diff --git a/tests/regress/issue91.py b/tests/regress/issue91.py
index cbcbbc8..d3939d5 100755
--- a/tests/regress/issue91.py
+++ b/tests/regress/issue91.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reported by boris.bischoff, Aug 17, 2012
 #
diff --git a/tests/regress/issue9218.py b/tests/regress/issue9218.py
index fa9c231..5b02094 100755
--- a/tests/regress/issue9218.py
+++ b/tests/regress/issue9218.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: alejandro.delcastillo@ni.com
 #
diff --git a/tests/regress/issue9533.py b/tests/regress/issue9533.py
index a84fb32..9e80e9f 100755
--- a/tests/regress/issue9533.py
+++ b/tests/regress/issue9533.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reported: alejandro.delcastillo@ni.com
 #
diff --git a/tests/regress/issue9802.py b/tests/regress/issue9802.py
index 2484bee..bf93492 100755
--- a/tests/regress/issue9802.py
+++ b/tests/regress/issue9802.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 
 import os
 import opk, cfg, opkgcl
diff --git a/tests/regress/issue9802b.py b/tests/regress/issue9802b.py
index 54cdc46..9719715 100755
--- a/tests/regress/issue9802b.py
+++ b/tests/regress/issue9802b.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 
 import os
 import opk, cfg, opkgcl
diff --git a/tests/regress/issue9939.py b/tests/regress/issue9939.py
index 8ca4c65..5d070d1 100755
--- a/tests/regress/issue9939.py
+++ b/tests/regress/issue9939.py
@@ -1,4 +1,5 @@
 #!/usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: ovidiu.vancea@ni.com
 #
diff --git a/tests/regress/issue9987.py b/tests/regress/issue9987.py
index 877823a..e5e05d5 100755
--- a/tests/regress/issue9987.py
+++ b/tests/regress/issue9987.py
@@ -1,4 +1,5 @@
 #! /usr/bin/env python3
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Reporter: paul.spangler@ni.com
 #
diff --git a/utils/opkg-check-config b/utils/opkg-check-config
index 8dc9676..a7ef696 100755
--- a/utils/opkg-check-config
+++ b/utils/opkg-check-config
@@ -4,6 +4,8 @@
 #
 #   Copyright (C) 2014 Paul Barker
 #
+#   SPDX-License-Identifier: GPL-2.0-or-later
+#
 #   This program is free software; you can redistribute it and/or modify it
 #   under the terms of the GNU General Public License as published by the
 #   Free Software Foundation; either version 2, or (at your option) any
diff --git a/utils/opkg-key b/utils/opkg-key
index 05ded44..e395a59 100755
--- a/utils/opkg-key
+++ b/utils/opkg-key
@@ -1,4 +1,5 @@
 #!/bin/sh
+# SPDX-License-Identifier: GPL-2.0-only
 
 # Based on apt-key from apt-0.6.25
 # Licensed under GPL Version 2
-- 
2.7.4

